html{
	scroll-behavior: smooth;
}

/* 全網頁只要滑鼠滑到連結就變手指 */
a:hover {
  cursor: pointer !important;
}

/* 這行是最上面的板頭 */
header>.inner {
  background-color: rgba(255, 255, 255, 0);
  -webkit-box-shadow: none;
  box-shadow: none;
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
}

/* hoho的logo */
header>.inner a.logo {
  background: url(../images/icon_hoho-02.svg) no-repeat center;
  background-size: cover;
  width: 180px;
  height: 140px;
  left: 0px;
}

/* hoho的logo滑鼠移過去後 */
header>.inner a.logo:hover {
  filter: brightness(1.1);
  transition: 0.2s;
}

/* 右上的icon */
header ul.wrap-link li i[class*="icon-"],
header ul.wrap-link li a[class*="icon-"] {
  background-color: #444;
  color: #ffffff;
  transition: 0.2s;
}

/* 右上的icon滑鼠移過去後 */
header ul.wrap-link li i[class*="icon-"]:hover,
header ul.wrap-link li a[class*="icon-"]:hover {
  background-color: rgb(255, 188, 2);
  color: #ffffff ;
  transition: 0.2s;
}

/* icon旁邊的文字 */
header ul.wrap-link li span {
  color: #444;
  margin-right: 10px;
}

/* 從這邊開始是內容大框架 */
.container {
  background-color: #fff3ee;
  background: url(../images/bg-pc.jpg);
}

.container img {
  vertical-align: top;
  max-width: 100%;
  height: auto;
  margin: auto;
  margin-bottom: 35px;
}

.innerbox {
  position: relative;
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
  padding: 0 auto;
}

.showPC{
	display: block;
}
.showMB{
	display: none;
}

/* 客製內容從下面開始 */

.kv-bg{
  width: 100%;
  background: url(../images/kv-bg.png);
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.kv{
  padding: 0;
  width: 1200px;
  height:auto;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.kv-tt {
  text-align: center;
  animation-name: kv-tt;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  padding: 0 15%;
}

  .StepPro {
    padding: 0 16px;
    
}
  .StepPro a{
    width: 45%;
}
  .StepTitle {
    padding-top: 0px;
}




@keyframes kv-tt{
  0%{
    transform:translateY(20px);
  }
  50%{
    transform:translateY(0px);
  }
  100%{
    transform:translateY(20px);
  }
}

.flexCon{
  display: flex;
  justify-content: space-evenly;
}

.mp4{
  max-width: 100%;
}

.mp4Title{
  padding-top: 100px;
  text-align: center;
  margin-bottom: 50px;
  margin: auto;
  margin-bottom: 100px;
}

.mp4videoWrap{
  width: 100%;
  position: relative;
  margin-top: -35px;
}
.cursor-pointer {
  cursor: pointer;
}
.mp4video {
  width: 100%;
  position: absolute;
  left: 0;
}
.mp4static {
  z-index: 1;
  position: relative;
  width: 100%;
  height: 590px;
  transition: opacity 350ms ease-in-out;
}
.mp4static.hide {
  opacity: 0;
}

.mp4videoTop{
  padding: 4% 0;
}

.mp4videoBottom{
  text-align: center;
}

.act1{
    max-width: 100%;
    text-align: center;
    padding: 56px;

}

.AFTEE{
    text-align: center;
    padding: 56px;

}

.product_Model{
      max-width: 100%;
      background-position: top center;
      background-size: contain;
      margin-top: 0 !important;
      padding-top: 48px;
}

.afteePic{
  width: 48%;
}

.lastPro{
    max-width: 100%;
    background-position: top center;
    background-size: contain;
    padding: 24px 0;
    margin-top: -16px;
}

.lastPro > div{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.lastPro > div a{
  width: 45%;
}

.Step{
  max-width: 100%;
  background-position: top center;
  background-repeat: no-repeat;
  text-align: center;
}

.StepPro{
  background-position: top center;
  background-repeat: no-repeat;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 13px;
  margin-top: 24px;
  margin-bottom: 56px;
}

.StepPro a{
  width: 30%;
}

.StepTitle{
  padding-top: 0px;
  padding-bottom: 0px;
  text-align: center;
}

.hot{
  max-width: 100%;
  background-position: top center;
  background-repeat: no-repeat;
}

.hotPro{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 13px;
  margin-top: 24px;
  margin-bottom: 56px;
}

.hotPro a{
  width: 30%;
  
}

.hotTitle{
  width: auto;
  text-align: center;
  display: flex;
}

.hotlPro{
  background-image: url("../images/hot_bg.png");
  background-repeat: no-repeat;
  background-position: top center;
  background-size: contain;
  aspect-ratio: 1148 / 776;
  padding: 5% 5%;
}

.hot .innerbox{
  padding: 0 24px;
}

.afteeBtn{
  padding: 0 15%;
}


/*         以上修改          */


.kv-cp{
  max-width: 1200px;
  height: auto;
  display: flex;
  margin: 30px auto 50px auto;
  flex-wrap: nowrap; /*段行方式*/
  gap: 16px; /*中間間距*/
  justify-content: center; /*對齊方式*/
}

.kv-cp.showPC {
  display: flex;
  width: 100%; 
  align-items: flex-start; 
  justify-content: space-between; 
  flex-wrap: wrap;
  margin-top: 30px; 
  margin-bottom: 50px;
}

#kv-cp01{
  transition: 0.2s;
}
#kv-cp01>a>img{
  max-width: 100%;
}
#kv-cp01:hover{transform : scale(0.965);}

#kv-cp02{
  transition: 0.2s;
}
#kv-cp02>a>img{
  max-width: 100%;
}

#kv-cp02:hover{transform : scale(0.965);}

#kv-cp03{
  transition: 0.2s;
}
#kv-cp03>a>img{
  max-width: 100%;
}
#kv-cp03:hover{transform : scale(0.965);}

#kv-cp04 {
  width: 100%;
  transition: 0.2s;
  margin-top: 20px;
  display: flex;
  justify-content: flex-end;
  align-items: flex-start; 
}

#kv-cp04 > a > img {
  max-width: 100%;
}

#kv-cp04:hover {
  transform: scale(0.965);
}

.ct-bg{
	  width: 100%;
    background-size: cover;
  	background: url(../images/bg-PC.jpg);
    background-repeat: no-repeat;
    background-position: top center;
    
  	/* background-position: bottom center;
  	background-repeat: no-repeat;
  	background-size: cover; */
}

.ct{
  width: 1200px;
  display: flex;
  margin: auto;
  flex-wrap: wrap;
}

#ct01{
  margin-top: 100px;
  margin-bottom: 100px;
  margin-left: auto; 
  margin-right: auto;
}

.ct01-ct{
	max-width: 1200px;
  background-size: cover;
	background-repeat: no-repeat;
}

.ct01-cp{
	width: 100%;
  padding-top: 2%;
  padding-bottom: 2%;
	margin-top: 20px;
  justify-content: center;
}
.ct01-cp img {
	width: 100%;
	margin-top: 20px;
	display: flex;
  justify-content: center;
}

.ct01-cpBottom{
	width: 100%;
  padding-bottom: 4%;
  padding-top: 4%;
}

.ct01-cp-bt{
  width: 46%;
  filter:drop-shadow(0px 0px 5px #3f0d0035);
  transition: 0.2s;
  
}
.ct01-cp-bt:hover{transform : scale(0.965);}

#ct02{
	margin-top: 300px;
  display: flex;
  justify-content: center;
  justify-content: space-around;
  margin-top: 2%;
  gap: 50px;
}


#ct03{
  margin-top: 170px;
  background-size: cover; 
  background-repeat: no-repeat;
  background-position: center center; 
}


#ct03_bnt{
  display: flex;
  margin-top: -100px;
  margin-left: 40px;
  gap: 50px;
  
}

#ct04{
	margin-top: 100px;
  background-size: cover; 
  background-repeat: no-repeat;
  background-position: top center;
}

#ct05{
	margin-top: 30px;
  margin-bottom: 100;
  display: flex;
}

.act1{
  text-align: center;
}

.act1 a{
	filter: drop-shadow(0 0 10px #ffa39a);
	margin-top: 16px;
	transform: translateY(0);
	transition: transform 0.3s ease-in-out;
}

.act1 a:hover{
	transform: translateY(-16px);
}

.act2{
  text-align: center;
}

.act2 a{
	filter: drop-shadow(0 0 10px #ffa39a);
	margin-top: 16px;
	transform: translateY(0);
	transition: transform 0.3s ease-in-out;
}

.act2 a:hover{
	transform: translateY(-16px);
}

.AFTEE{
  text-align: center;
}

.AFTEE a{
	filter: drop-shadow(0 0 10px #ffa39a);
	margin-top: 16px;
	transform: translateY(0);
	transition: transform 0.3s ease-in-out;
}

.AFTEE a:hover{
	transform: translateY(-16px);
}


/* 電腦版 ct05 (橫向排列) */
#ct05, #ct05-2 {
    display: flex;
    justify-content: space-between; 
    flex-wrap: wrap;
    margin-bottom: 20px; /* 區塊間距 */
}

/* 電腦版圖片連結 (每行兩張) */
#ct05 a.showPC, #ct05-2 a.showPC {
    width: 49%; /* 佔約一半 */
    text-align: center;
}

 

.finalPro{
	margin-top: 40px;
	padding: 0% 4%;
  margin-bottom: 100px;
	filter: drop-shadow(rgba(#3f0d0070) 0px 0px 10px);
}
.finalPro a:hover{
	-webkit-filter: brightness(105%); /* Safari */
    filter: brightness(105%);
}

@media (max-width: 600px) {
	.modal-content {
		padding: 24px 16px;
        max-height: 500px;
        overflow: scroll;
	}

	.modal-content h2 {
		font-size: 22px;
        padding: 16px 16px 0;
		margin-bottom: 0px;
	}

	.modal-content p {
		font-size: 16px;
        line-height: normal;
        padding: 8px 8px 0;
	}
}

/*以上彈窗*/





/* 活動說明 */
.rule{
	position: relative;
	padding: 40px 16px;
	background-color: #ffe6b0;
}

.rule h5{
	font-size: 32px;
	font-weight: 700;
	text-align: center;
	margin-bottom: 24px;
}

.rule p{
	font-size: 18px;
	font-weight: 400;
	line-height: 32px;
}

.rule p span{
	display: block;
	margin-left: 20px;
}

.rule a{
	color: #3895b4;
	text-decoration: underline;
}

/*側邊欄*/
.navButton{
	display: none;
	justify-content: space-between;
	background-color: #fff;
	padding: 0px 16px;
	height: 40px;
	line-height: 40px;
	position: fixed;
	bottom: 0;
	width: 100%;
	box-sizing: border-box;
	transition: top .4s ease-in-out;
	box-shadow: 0 0 8px rgba(0,0,0,.2);
	z-index: 999;
}

.navButton a{
	color: #000;
	text-decoration: none;
	font-size: 16px;
}

.navButton_pc{
	display: block;
	position: fixed;
	right: 0px;
	top: 150px;
	width: 156px;
	height: 260px;
	padding: 100px 16px 0px 52px;
	background-image: url("../images/navbg.png");
	background-position: top center;
	background-repeat: no-repeat;
	transition: right .4s ease-in-out;
	filter:drop-shadow(4px 8px 8px rgb(201, 20, 0));
	z-index: 999;
}

.navButton_pc a{
	display: block;
    text-align: center;
    width: 100%;
    font-size: 16px;
	line-height: 28px;
	font-weight: 700;
    color: #181818;
    text-decoration: none;
}

.navButton_pc a:hover{
	color: #cc3c39;
	font-weight: 900;
}

.navHide .navButton_pc {
	right: -156px;
} 

    

/*swiper*/
.swiper {
    width: 100%;
    max-width: 1200px;
    height: auto;
    margin: 0px auto;
}

#swiper-one {
    margin: 0 auto !important;
}

.swiper-slide {
    width: 325px;
    height: auto !important;
    text-align: center;
    font-size: 18px;
    background: transparent;
    padding: 0px 0 0 0;
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: flex-start;
    justify-content: flex-start;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}






/* 回到上方 */
a#backTop {
  background-color: #444;
	bottom: 52px;
}



@media (max-width: 1280px) {
.kv{
    width: 100%;
    height: auto;
  }

.kv-tt{
    width: 80%;
    text-align: center;
  }
.kv-cp{
  width: 90%;
}

.ct{
  width: 100%;
  display: flex;
  justify-content: center;
}

#ct01{
  width: 96%;
}

.ct01-ct{
  width: 100%;
  background-size: contain;
}

#ct02{
  width: 90%;
}

.mp4videoWrap{
  background-size: contain;
  }

  
  
}

@media (max-width: 1277px) {
.kv{
    width: 100%;
    height: auto;
  }

.kv-tt{
    width: 100%;
    text-align: center;
  }
.kv-cp{
  width: 90%;
}
}

@media (max-width: 1030px) {
.kv{
    width: 100%;
    height: auto;
  }

.kv-tt{
    width: 100%;
    text-align: center;
  }
.kv-cp{
  width: 90%;
}
}


@media (max-width: 1080px) {
.kv{
    width: 100%;
    height: auto;
  }

.kv-tt{
    width: 100%;
    text-align: center;
  }

}

@media (max-width: 845px) {

  
}

@media (max-width: 780px) {
	.showPC{
		display: none;
	}
	.showMB{
		display: block;
	}

  /* hoho的logo */
  header>.inner a.logo {
    background: url(../images/icon_hoho-02.svg) no-repeat center;
    background-size: cover;
    width: 130px;
    height: 100px;
    left: -10px;
  }

  

  .kv-tt{
    margin: 60px auto 0 auto;
  }

  .kv-cp{
  width: 90%;}

  .kv-cp-mb{
    width: 100%;
    display: block;
    margin: 15px auto;
    text-align: center;
  }

  .mp4{
      background-position: top right;
      background-size: 250%;
    }
    .mp4 > .innerbox{
      padding: 0 2%;
    }
    .mp4videoWrap {
      margin-bottom: 55px;
    }
    .mp4video, .mp4static {
      scale: 1.4;
    }
    .mp4Title {
      padding: 0px 4% 50px;
      margin-bottom: 100px;
      margin-top: auto;
      width: 150%;
    }
    .act1 {
      padding: 32px;
      background-position: top left;
      background-size: 250%;
      margin-top: -35px;
    }

    .act2 {
      padding: 32px;
      background-position: top left;
      background-size: 250%;
    }

    .StepPro {
        margin-top: 0px;
    }

    .AFTEE {
      padding: 32px;
      background-position: top left;
      background-size: 250%;
    }

  .StepPro {
    padding: 0 16px;
}
  .StepPro a{
    width: 45%;
}
  .StepTitle {
    width: 90%;
}

.StepPro{
  margin-bottom: 0px;
}

.mp4videoWrap {
    margin-top: 0px;
}

.mp4videoBottom {
  display: flex;
  justify-content: center;
  text-align: center;
  width: 95%;
  margin: auto;
}
  img.mp4static {
    left: 50%;
    margin-bottom: 0;
  }
  .mp4video {
    position: relative;
    left: -50%;
  }
    .product_Model{
        padding-top: 0px;
    }
    .lastPro{
        margin-top: 0px;
    }
    .lastPro > div{
    }
    .lastPro > div a{
      width: 48%;
    }

  .act1 .flexCon{
  width: 90%;
	flex-direction: column;
	padding: 0 3%;
  text-align: center;
  margin: auto;

  }

  .act1 a {
    margin-top: 0px;
  }

  .act1 a:hover{
	transform:none;
	transition:none;
  }

  .AFTEE {
    margin-top: 24px;
  }

  .AFTEE .flexCon{
  width: 90%;
	flex-direction: column;
	padding: 0 3%;
  text-align: center;
  margin: auto;

  }

  .AFTEE a {
    margin-top: 0px;
  }

  .AFTEE a:hover{
	transform:none;
	transition:none;
  }

  .afteePic{
    width: 100%;
  }

  .act2 {
    margin-top: 24px;
  }

  .act2 .flexCon{
	flex-direction: column;
	padding: 0 6%;
  }

  .act2 a {
    margin-top: 0px;
  }

  .act2 a:hover{
	transform:none;
	transition:none;
  }
  


  .ct-bg{
  width: 100%;
  background-image: url(../images/bg-PC.jpg); 
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: cover; 
  min-height: 800px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
  #ct01{
  width: 80%;
  margin-top: 75px;
  }
  .ct01-cp-bt{
  width: 90%;
  }

  #ct02{
  width: 80%;
  margin-top: 75px;
}

  #ct03{
  width: 80%;
  margin-top: 75px;
}

  #ct04{
  width: 80%;
  margin-top: 75px;
}

  #ct05{
  width: 80%;
  margin-top: 75px;
}

.hotPro {
  padding: 0 16px;
 }
.hotPro a{
  width: 45%;
 }
.hotTitle {
  padding-top: 40px;
  text-align: center;
  width: 70%;
}

.hotlPro{
  background-image: url("../images/hot_bg_mb.png");
  aspect-ratio: 637 / 663;
  padding: 10% 5%;
  margin-top: -16px;
}

.showPC {
    display: none !important; 
}
.showMB {
    display: block !important;
}
#ct03_bnt{
    width: 80%;
    display: flex; 
    flex-direction: column;
    margin: 0 auto; 
    gap: 10px;
    align-items: center;
}

#ct03_bnt img {
    display: block; 
    max-width: 100%;
    height: auto;
}


  .rule p span {
    margin-left: 25px;
  }  
	

}


  @media (max-width: 650px) {

	.rule h5{
		font-size: 24px;
	}

	.rule p {
		font-size: 16px;
		line-height: 28px;
	}

  .kv-bg{
    width: 100%;
    background-image: url(../images/kv-bg-mb.jpg); 
    background-position: top center;
    background-repeat: no-repeat;
    background-size: contain; 
    min-height: 800px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }

  .kv-cp {
    flex-wrap: wrap;
    width: 65%;
  }

  #kv-cp02, #kv-cp03{
    margin-top: -35px;
  }

  }

  @media only screen and (max-width: 490px) {
    #ct01{
  margin-top: 50px;
}
#ct02{
  margin-top: 50px;
}
#ct03{
  margin-top: 50px;
}
#ct04{
  margin-top: 50px;
}
#ct05{
  margin-top: 50px;
}

#ct05, #ct05-2 {
  display: block; /* 讓容器恢復為標準區塊 */
}

/* 手機板垂直排列 */
#ct05 a.showMB, #ct05-2 a.showMB {
  display: block;
  width: 100%;
  margin-bottom: 15px; /* 圖片間距 */
  position: static; 
  height: auto;
  padding: 0;
}

#ct05 a.showMB img, #ct05-2 a.showMB img {
  position: static;
  width: 100%;
  height: auto;
  object-fit: contain; 
  object-position: center center; 
  margin: 0 auto; 
}

  }

  @media only screen and (max-width: 420px) {

  }

  

  /*以下自訂*/
  .mySwiper{
    overflow: hidden;
  }
  .swiper-wrapper{
    display: inline-flex;
  }
  .mySwiper .swiper-slide{
    width: 389px;
    height: 453px;
  }
  .plus1Swiper{
	overflow: hidden;
}

